Page MenuHomePhabricator

[ABANDONED TRACKING TASK] Non Core API issues
Closed, ResolvedPublic

Description

Use MediaWiki-API instead

For stuff like central auth and such


Version: unspecified
Severity: enhancement

Details

Reference
bz23855

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:11 PM
bzimport set Reference to bz23855.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Jun 9 2010, 10:57 AM
Reedy added a comment.Jun 23 2010, 6:36 AM

Spam adding many more

daniel wrote:

Re: Bug 36520 - Create an API for Extension:ShortURL

Bug 36520 has a fix. (It's waiting for a response by the owner.)

Anomie moved this task from Unsorted to Non-Code on the MediaWiki-API board.Feb 20 2015, 7:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2015, 12:31 PM
Reedy closed this task as Resolved.Nov 29 2015, 2:05 PM
Reedy claimed this task.

Added all open task to MediaWiki-API and have moved them to the relevant column.

Closing

Liuxinyu970226 renamed this task from Non Core API issues (tracking) to [ABANDONED TRACKING TASK] Non Core API issues.Mar 22 2019, 1:47 AM
Liuxinyu970226 updated the task description. (Show Details)
Liuxinyu970226 updated the task description. (Show Details)
Liuxinyu970226 removed subtasks: T74131: PHP notice on every api page, T60498: API action=review: wrong example on most wikis because it uses not existing parameter flag_accuracy, T56441: API for SpamBlacklist, T59455: Fill info about flagged status under the protection key in the API, T51137: Implement UnconnectedPages in the api, T52414: API module for RelatedSites extension, T54168: API prop=flagged uses idiosyncratic/internal format for protection_expiry timestamp, T38520: Create an API for Extension:ShortURL, T33215: meta=globaluserinfo should output (normalized) name of requested user, T34776: add wiki filter to prop=globalusage, T34624: API support for useformat=mobile, T34625: make guiuser of meta=globaluserinfo multi, T41174: Wikidata repo MW API (tracking), T31396: Proofread Page extension needs a way to select index and page namespaces, T34536: CentralNotice API, T31261: Translate extension should use correct API hook, T34402: Implement 'dir' for prop=globalusage, T36200: Allow filtering action=sitematrix by language code, T36199: Allow filtering action=sitematrix by project code, T42658: CheckUserLog API: Support for query continue, T44465: Extension:SecurePoll should be accessible through the API, T34216: AbuseFilter should use the APIEditBeforeSave hook, T30893: Proofread Page extension needs an API module to retrieve page status, T35979: [CongressLookup] add API to let people access the CongressLookup data, T30894: Proofread Page extension needs an API module to set or change page status, T25821: Write API for CentralAuth extension, T40712: Special:FirstSteps overwrites existing threads for flag request if LQT is confused, T30768: meta=globaluserinfo doesn't display homewiki, T27508: Poor API behavior when the SUL account does not exist, T27440: Special:ContributionHistory needs an API, T38915: Add API action to get UploadWizard campaign info, T38903: sitematrix output; inverted queries for smstate, T38881: Wiktionary needs usable API, T33723: CheckUser API module, T33703: MobileFrontend extension should expose an API for page components, T35470: Create API for mass deleting pages (aka Special:Nuke), T28664: Add 'url' to meta=globaluserinfo and/or 'database' to action=sitematrix, T31954: Add API method for TitleBlacklist, T33608: API edit support for reCAPTCHA, T30143: SiteMatrix API module should allow filtering by wiki status (closed, private, fishbowl, etc.), T30142: SiteMatrix API module documentation is insufficient, T23256: Expose whether or not LiquidThreads is in use on a page with the API, T28416: Ability to view the revision follow-up tree, T24601: Change AssertEdit error display, T28026: Add API module for Special:FundraiserStatistics, T18214: GlobalBlocking needs API modules, T26218: Add list=coderevisions API Module, T27928: AbuseFilter API: output problems with aflprop=details, T26068: Add API for querying the FlaggedRevs protection level, T26036: add diff=stable to API, T24244: ApiFormatFeedWrapper::execute: Invalid feed class/item, T20731: API: action=help&version shows wrong SVN link for extension modules, T17129: CheckUser Api Module, T18860: CentralAuth/global user rights/groups API; Get global user rights, membership to global groups; and userlist of global groups, T16955: Illogical XML in sitematrix API output, T18781: API and UI limits are inconsistent.